package com.yihu.jw.entity.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.persistence.*;
import java.util.Date;

/**
 * 就诊历史表
 *
 * */
@Entity
@Table(name = "v_hlwys_mz_jzls")
public class HlwYsMzJzLsDO {
    private Integer jZXH;//NUMBER(18)N
    private Integer gHXH;//NUMBER(18)N
    private Integer bRBH;//NUMBER(18)N病人ID号
    private Integer kSDM;//NUMBER(4)N科室代码
    private String  ySDM;//VARCHAR2(10)N医生代码
    private Integer zYZD;//NUMBER(18)YV_HLW_ICD10.FLAG
    private Date kSSJ;//DATEN就诊开始时间
    private Date jSSJ;//DATEY就诊结束时间
    private Integer jZZT;//NUMBER(1)N就诊状态 (9结束)
    private Integer yYXH;//NUMBER(18)Y
    private Date fZRQ;//DATEY
    private Integer gHFZ;//NUMBER(1)Y
    private Integer jZLX;//NUMBER(2)Y就诊类型 （3）
    private String pBZXM;//VARCHAR2(30)Y
    private Integer pBZGX;//NUMBER(4)Y
    private String pBZDH;//VARCHAR2(20)Y
    private String pBZDZ;//VARCHAR2(50)Y
    private String pBZDW;//VARCHAR2(50)Y
    private String zDMC;//VARCHAR2(100)Y诊断名称
    private Integer cZPB;//NUMBER(1)Y
    private String mQZD;//VARCHAR2(255)Y诊断名称
    private Integer yYID;//NUMBER(1)Y医院ID:0表示本院,1表示外院
    private Integer zJFLAG;//NUMBER(1)Y0传输标记
    private Integer wLYY;//NUMBER(1)Y00表示HIS，1表示网络预约未到，2表示网络预约已到医院就诊


    @Id
    @Column(name = "JZXH")
    public Integer getJZXH() {
        return jZXH;
    }

    public void setJZXH(Integer jZXH) {
        this.jZXH = jZXH;
    }

    @Column(name = "GHXH")
    public Integer getGHXH() {
        return gHXH;
    }

    public void setGHXH(Integer gHXH) {
        this.gHXH = gHXH;
    }

    @Column(name = "BRBH")
    public Integer getBRBH() {
        return bRBH;
    }

    public void setBRBH(Integer bRBH) {
        this.bRBH = bRBH;
    }

    @Column(name = "KSDM")
    public Integer getKSDM() {
        return kSDM;
    }

    public void setKSDM(Integer kSDM) {
        this.kSDM = kSDM;
    }

    @Column(name = "YSDM")
    public String getYSDM() {
        return ySDM;
    }

    public void setYSDM(String ySDM) {
        this.ySDM = ySDM;
    }

    @Column(name = "ZYZD")
    public Integer getZYZD() {
        return zYZD;
    }

    public void setZYZD(Integer zYZD) {
        this.zYZD = zYZD;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "KSSJ")
    public Date getKSSJ() {
        return kSSJ;
    }

    public void setKSSJ(Date kSSJ) {
        this.kSSJ = kSSJ;
    }

    @Column(name = "JSSJ")
    public Date getJSSJ() {
        return jSSJ;
    }

    public void setJSSJ(Date jSSJ) {
        this.jSSJ = jSSJ;
    }

    @Column(name = "JZZT")
    public Integer getJZZT() {
        return jZZT;
    }

    public void setJZZT(Integer jZZT) {
        this.jZZT = jZZT;
    }

    @Column(name = "YYXH")
    public Integer getYYXH() {
        return yYXH;
    }

    public void setYYXH(Integer yYXH) {
        this.yYXH = yYXH;
    }

    @Column(name = "FZRQ")
    public Date getFZRQ() {
        return fZRQ;
    }

    public void setFZRQ(Date fZRQ) {
        this.fZRQ = fZRQ;
    }

    @Column(name = "GHFZ")
    public Integer getGHFZ() {
        return gHFZ;
    }

    public void setGHFZ(Integer gHFZ) {
        this.gHFZ = gHFZ;
    }

    @Column(name = "JZLX")
    public Integer getJZLX() {
        return jZLX;
    }

    public void setJZLX(Integer jZLX) {
        this.jZLX = jZLX;
    }

    @Column(name = "PBZXM")
    public String getPBZXM() {
        return pBZXM;
    }

    public void setPBZXM(String pBZXM) {
        this.pBZXM = pBZXM;
    }

    @Column(name = "PBZGX")
    public Integer getPBZGX() {
        return pBZGX;
    }

    public void setPBZGX(Integer pBZGX) {
        this.pBZGX = pBZGX;
    }

    @Column(name = "PBZDH")
    public String getPBZDH() {
        return pBZDH;
    }

    public void setPBZDH(String pBZDH) {
        this.pBZDH = pBZDH;
    }

    @Column(name = "PBZDZ")
    public String getPBZDZ() {
        return pBZDZ;
    }

    public void setPBZDZ(String pBZDZ) {
        this.pBZDZ = pBZDZ;
    }

    @Column(name = "PBZDW")
    public String getPBZDW() {
        return pBZDW;
    }

    public void setPBZDW(String pBZDW) {
        this.pBZDW = pBZDW;
    }

    @Column(name = "ZDMC")
    public String getZDMC() {
        return zDMC;
    }

    public void setZDMC(String zDMC) {
        this.zDMC = zDMC;
    }

    @Column(name = "CZPB")
    public Integer getCZPB() {
        return cZPB;
    }

    public void setCZPB(Integer cZPB) {
        this.cZPB = cZPB;
    }

    @Column(name = "MQZD")
    public String getMQZD() {
        return mQZD;
    }

    public void setMQZD(String mQZD) {
        this.mQZD = mQZD;
    }

    @Column(name = "YYID")
    public Integer getYYID() {
        return yYID;
    }

    public void setYYID(Integer yYID) {
        this.yYID = yYID;
    }

    @Column(name = "ZJFLAG")
    public Integer getZJFLAG() {
        return zJFLAG;
    }

    public void setZJFLAG(Integer zJFLAG) {
        this.zJFLAG = zJFLAG;
    }

    @Column(name = "WLYY")
    public Integer getWLYY() {
        return wLYY;
    }

    public void setWLYY(Integer wLYY) {
        this.wLYY = wLYY;
    }
}
